Mail archive
alpine-devel

[alpine-devel] [PATCH 1/2] testing/fltk: update to 1.3.3

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 18 Nov 2014 21:41:36 -0800

---
 testing/fltk/APKBUILD         | 19 ++++++++++++-------
 testing/fltk/ewmh-crash.patch | 23 +++++++++++++++++++++++
 2 files changed, 35 insertions(+), 7 deletions(-)
 create mode 100644 testing/fltk/ewmh-crash.patch
diff --git a/testing/fltk/APKBUILD b/testing/fltk/APKBUILD
index 0c48f45..3295312 100644
--- a/testing/fltk/APKBUILD
+++ b/testing/fltk/APKBUILD
_at_@ -1,8 +1,8 @@
 # Contributor: ScrumpyJack <scrumpyjack_at_me.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=fltk
-pkgver=1.3.2
-pkgrel=1
+pkgver=1.3.3
+pkgrel=0
 pkgdesc="A cross-platform C++ GUI toolkit"
 url="http://fltk.org"
 arch="all"
_at_@ -12,7 +12,8 @@ depends_dev="libx11-dev libxext-dev libxft-dev"
 makedepends="$depends_dev libpng-dev libjpeg-turbo-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev $pkgname-fluid"
-source="http://fltk.org/pub/fltk/$pkgver/$pkgname-$pkgver-source.tar.gz"
+source="http://fltk.org/pub/fltk/$pkgver/$pkgname-$pkgver-source.tar.gz
+	ewmh-crash.patch"
 
 _builddir=$srcdir/${pkgname}-${pkgver}
 prepare() {
_at_@ -35,7 +36,8 @@ build() {
 		--enable-threads \
 		--with-optim="$CXXFLAGS" \
 		|| return 1
-	make V=1
+	make V=1 || return 1
+
 }
 
 
_at_@ -53,6 +55,9 @@ fluid() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="9f7e707d4fb7a5a76f0f9b73ff70623d  fltk-1.3.2-source.tar.gz"
-sha256sums="176044df94f31bd53a5806cf5054ca78b180bf9ae27ce47649608833695ee4a4  fltk-1.3.2-source.tar.gz"
-sha512sums="9372a34d8dfc4b4ece7632683c1c92f9ea9e538ba6eec08bec69615e2b2c885957d229a5ec495830f673b6a059f55a94b61727e8eb1fb7b3bd37005dc0b8312e  fltk-1.3.2-source.tar.gz"
+md5sums="9ccdb0d19dc104b87179bd9fd10822e3  fltk-1.3.3-source.tar.gz
+0b1a9c825de9de368550d10728878019  ewmh-crash.patch"
+sha256sums="f8398d98d7221d40e77bc7b19e761adaf2f1ef8bb0c30eceb7beb4f2273d0d97  fltk-1.3.3-source.tar.gz
+15adf29c8d2885bc356943f05b3f22b2db42a5278a9a27d8b1bd3f342f3f4416  ewmh-crash.patch"
+sha512sums="277ba27e35c20e2d4fc5296bf418c5ab78c821870476e21d49f723765b99b3a559eed4ecd5215ac26d53a1091ada003e17f1553194cebaa97dd854809dd2885d  fltk-1.3.3-source.tar.gz
+7e7c43620c91f83da190227d829ebe652ccf1e02ad40e6b3d2631959716304612f447f2dffba0f19fc2c5191692e23581c438945f61669f4974845a1ac1e9929  ewmh-crash.patch"
diff --git a/testing/fltk/ewmh-crash.patch b/testing/fltk/ewmh-crash.patch
new file mode 100644
index 0000000..6b7d08e
--- /dev/null
+++ b/testing/fltk/ewmh-crash.patch
_at_@ -0,0 +1,23 @@
+commit 6bea02745202d86a10da82d34f1f6a9233267297
+Author: lauri <cand.svn_at_fltk.example.org>
+Date:   Tue Nov 4 17:26:47 2014 +0000
+
+    The EWMH check requires an open display.
+    
+    Fixes a crash when a program calls take_focus() before any window has been show()n.
+    
+    
+    git-svn-id: http://seriss.com/public/fltk/fltk/branches/branch-1.3_at_10434 ea41ed52-d2ee-0310-a9c1-e6b18d33e121
+
+diff --git a/src/Fl_x.cxx b/src/Fl_x.cxx
+index 8e7100b..a0767a3 100644
+--- a/src/Fl_x.cxx
++++ b/src/Fl_x.cxx
+_at_@ -2211,6 +2211,7 @@ int Fl_X::ewmh_supported() {
+   static int result = -1;
+ 
+   if (result == -1) {
++    fl_open_display();
+     result = 0;
+     unsigned long nitems;
+     unsigned long *words = 0;
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Nov 18 2014 - 21:41:36 GMT